<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Hy vọng mọi thứ sẽ làm Duyên cười</title>
  <link rel="stylesheet" href="style.css" />
</head>

<body>
  <audio id="backgroundAudio">
    <source src="./music/AlohaAloha-Cool.mp3" type="audio/mpeg">
  </audio>
  <script>
    document.addEventListener("DOMContentLoaded", function() {
      var audio = document.getElementById("backgroundAudio");
      audio.play();
  });
  </script>
  <section id="home" class="home">
    <div class="home_section"></div>
    <div id="container">
      <div class="left"></div>
      <div class="right"></div>
      <a href="secretMessage.html">
        <p>
          MY SECRET MESSAGE<br />

          <span>Click here</span>
        </p>
      </a>
    </div>
    <h1 onmouseenter="addHeart()" onmouseleave="removeHeart()" onclick="toggleHeart()">
      <span>I&nbsp;</span><span>You</span></h1>
    <h2>
      Anh có vài điều muốn nói với DUYÊN<br />
      Làm ơn hãy di CLICK tới dòng chữ phía trên và TRÁI TIM ĐỎ
    </h2>
  </section>
  <script>
    function addHeart() {
      const h1 = document.querySelector('h1');
      // Kiểm tra xem biểu tượng 💖 đã có trong nội dung chưa
      if (!h1.innerHTML.includes('💖')) {
        // Nếu chưa có, thêm vào
        h1.innerHTML = '<span class="heart-animation">I&nbsp;💖</span><span>You</span>';
      }
    }
    function removeHeart() {
      const h1 = document.querySelector('h1');

      // Xóa biểu tượng 💖 khỏi nội dung
      h1.innerHTML = h1.innerHTML.replace('💖', '');
    }
    function toggleHeart() {
      const h1 = document.querySelector('h1');
      if (!h1.innerHTML.includes('love'))
        h1.innerHTML = '<span>I&nbsp; love</span><span>You</span>';
      else {
        h1.innerHTML = h1.innerHTML.replace('love', '');
      }
    }
  </script>
</body>

</html>